# collada.scene.LookAtTransform

class collada.scene.LookAtTransform(eye, interest, upvector, xmlnode=None)

  Contains a transformation for aiming a camera as defined in the collada <lookat> tag.

  __init__(eye, interest, upvector, xmlnode=None)

    Creates a lookat transformation

    Parameters:

      - eye (numpy.array) – An unshaped numpy array of floats of length 3 containing the position of the eye

      - interest (numpy.array) – An unshaped numpy array of floats of length 3 containing the point of interest

      - upvector (numpy.array) – An unshaped numpy array of floats of length 3 containing the up-axis direction

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(eye, interest, upvector[, xmlnode]) | Creates a lookat transformation
  `load`(collada, node) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  Attributes

  `xmlnode` | ElementTree representation of the transform.
  `eye` | A numpy array of length 3 containing the position of the eye
  `interest` | A numpy array of length 3 containing the point of interest
  `upvector` | A numpy array of length 3 containing the up-axis direction
  `matrix` | The resulting transformation matrix.